If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Allow xpi-packed extensions in distribution/bundles

RESOLVED WONTFIX

Status

()

Toolkit
Add-ons Manager
RESOLVED WONTFIX
4 years ago
3 years ago

People

(Reporter: Mark Straver, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
Currently, extensions in distribution/bundles are required to be in an unpacked state. This is both suboptimal (large extensions with lots of files can severely slow down start-up of the browser) and can cause issues when trying to package extensions.

See also bug 910660 comment 6

Extensions in distribution/bundles should be allowed in both unpacked and xpi-packed state, like is the case in other extension locations.
(Reporter)

Updated

4 years ago
See Also: → bug 910660
Component: Extension Compatibility → Add-ons Manager
Product: Firefox → Toolkit

Comment 1

3 years ago
We're removing support for distribution/bundles entirely.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.